from visual import *

scene = display(title='Ball in a Well',width=600,height=400,
                center=(0,3,0))
floor = box (pos=(0,0,0), length=10, height=0.5, width=5,
color=color.green)
lwall = box (pos=(-5,3,0), length=.5, height=6.5, width=5,
color=color.green)
rwall = box (pos=(5,3,0), length=.5, height=6.5, width=5,
color=color.green)

ball = sphere (pos=(-4.5,4,0), radius=0.5, color=color.red)
ball.velocity = vector(8,4,0)
dt = 0.01

while 1:
    rate (100)
    ball.pos = ball.pos + ball.velocity*dt
    if ball.y < ball.radius:
        ball.velocity.y = abs(ball.velocity.y)
    else:
        ball.velocity.y = ball.velocity.y - 9.8*dt
    if ball.x < -5+ball.radius or ball.x > 5-ball.radius:
        ball.velocity.x = -ball.velocity.x
