def dft(t,y,freq):
    from numpy import zeros
    from cmath import exp, pi
    nt = len(t)
    nf = len(freq)
    c = zeros(nf,complex)
    for k in range(nf):
        f = freq[k]
        for i in range(nt):
            c[k] += y[i]*exp(-2j*pi*f*t[i])
    return 2.*abs(c)/nt
