# Multiple datasets on one plot
import numpy as np
import matplotlib.pyplot as plt

x = np.arange(1,19,.4)
y1 = np.log10(x)
y2 = 0.01 * x**2
y3 = 0.9*np.sin(x)
plt.plot(x,y1,'r-',label='y1')
plt.plot(x,y2,'b^',label='y2')
plt.plot(x,y3,'go',label='y3')
plt.plot(x,y1+y2+y3,'+',label='y1+y2+y3')
plt.legend(loc=2)
plt.show()
